Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: How to get rid of this .. from YAST

  1. #1
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    181

    Default How to get rid of this .. from YAST

    Hi,
    I have this:



    and I am tired of this. It appears every time I update software via Yast.

    I tried to uninstall those programs
    I tried to zypper clean

    It happened when I upgraded to 13.2. Since then it's every time.

    Can we solve it here?

    greetings
    Linux 4.12.14
    openSUSE Leap 15.0 - 64 bit
    KDE Plasma 5.12.15
    KDE Framework 5.44.0
    Qt - 5.9.4

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,347
    Blog Entries
    3

    Default Re: How to get rid of this .. from YAST

    I'm guessing that there's a problem with your repos.

    What's the output from:
    Code:
    # zypper lr -d
    (that lists the repos in detail). Please use code tags to post that output.
    openSUSE Leap 15.1; KDE Plasma 5;

  3. #3
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    181

    Default Re: How to get rid of this .. from YAST

    Output from zypper lr -d

    Code:
    #  | Alias                      | Name                               | Enabled | Refresh | Priority | Type   | URI                                                                               | Service
    ---+----------------------------+------------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------------------------+--------
     1 | LibreOfiice_-_Unstable_4.0 | LibreOffice - Factory              | Yes     | No      |   99     | rpm-md | http://download.opensuse.org/repositories/LibreOffice:/Factory/openSUSE_13.2/     |        
     2 | Mozilla                    | Mozilla                            | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/mozilla/openSUSE_13.2/                  |        
     3 | OpenSuse_Education         | OpenSuse Education                 | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/Education/openSUSE_13.2/                |        
     4 | Oracle_VirtualBox          | Oracle VirtualBox                  | No      | No      |   99     | rpm-md | http://download.virtualbox.org/virtualbox/rpm/opensuse/11.4/                      |        
     5 | Packman_Essentials         | Packman Essentials                 | Yes     | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_13.2/Essentials                             |        
     6 | Packman_Multimedia         | Packman Multimedia                 | Yes     | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_13.2/Multimedia                             |        
     7 | Publishing                 | Publishing                         | No      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/Publishing/openSUSE_13.2/               |        
     8 | ZoneMinder                 | ZoneMinder                         | No      | No      |   99     | rpm-md | http://www.liquid-co.de/pub/suse/repositories/13.1/                               |        
     9 | dvdcss                     | dvdcss                             | No      | No      |   99     | rpm-md | http://opensuse-guide.org/repo/13.2/                                              |        
    10 | google-earth               | google-earth                       | No      | No      |   99     | rpm-md | http://dl.google.com/linux/earth/rpm/stable/x86_64                                |        
    11 | graphics                   | graphics                           | No      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/graphics/openSUSE_13.2/                 |        
    12 | home:Fisiu:kadu            | home:Fisiu:kadu                    | No      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/Fisiu:/kadu/openSUSE_13.2/        |        
    13 | home:dstoecker             | home:ecsos (sigil)                 | No      | No      |   99     | rpm-md | http://download.opensuse.org/repositories/home:/ecsos/openSUSE_13.2/              |        
    14 | nvidia                     | nvidia                             | No      | No      |   99     | rpm-md | ftp://download.nvidia.com/opensuse/13.2/                                          |        
    15 | openSUSE-13.2-0            | openSUSE-13.2-0                    | No      | No      |   99     | yast2  | cd:///?devices=/dev/disk/by-id/usb-TSST_corp_USB_Mass_Storage_Device_000000000001 |        
    16 | repo-debug                 | openSUSE-13.2-Debug                | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/debug/distribution/13.2/repo/oss/                    |        
    17 | repo-debug-update          | openSUSE-13.2-Update-Debug         | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/update/13.2/                                   |        
    18 | repo-debug-update-non-oss  | openSUSE-13.2-Update-Debug-Non-Oss | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/debug/update/13.2-non-oss/                           |        
    19 | repo-non-oss               | openSUSE-13.2-Non-Oss              | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/non-oss/                      |        
    20 | repo-oss                   | openSUSE-13.2-Oss                  | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/distribution/13.2/repo/oss/                          |        
    21 | repo-source                | openSUSE-13.2-Source               | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/source/distribution/13.2/repo/oss/                   |        
    22 | repo-update                | openSUSE-13.2-Update               | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2/                                         |        
    23 | repo-update-non-oss        | openSUSE-13.2-Update-Non-Oss       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/update/13.2-non-oss/                                 |
    Linux 4.12.14
    openSUSE Leap 15.0 - 64 bit
    KDE Plasma 5.12.15
    KDE Framework 5.44.0
    Qt - 5.9.4

  4. #4

    Default Re: How to get rid of this .. from YAST

    On 03/13/2015 10:16 AM, GazetaCypr wrote:
    >
    > Output from zypper lr -d
    >
    >
    > Code:
    > --------------------
    >
    > # | Alias | Name | Enabled | Refresh | Priority | Type | URI | Service
    > ---+----------------------------+------------------------------------+---------+---------+----------+--------+-----------------------------------------------------------------------------------+--------
    > 1 | LibreOfiice_-_Unstable_4.0 | LibreOffice - Factory | Yes | No | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    > 2 | Mozilla | Mozilla | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    > 3 | OpenSuse_Education | OpenSuse Education | Yes | Yes | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_13.2/ |
    > 4 | Oracle_VirtualBox | Oracle VirtualBox | No | No | 99 | rpm-md | http://download.virtualbox.org/virtu...opensuse/11.4/ |


    If you choose to re-enable this repo you should change it to point to
    12.3 instead of 11.4.

    Ken

  5. #5
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,347
    Blog Entries
    3

    Default Re: How to get rid of this .. from YAST

    Quote Originally Posted by GazetaCypr View Post
    Output from zypper lr -d
    I'm not seeing an obvious problem with that (looking only at the enable repos).

    I tried looking for where you would get that "firefox" message, but I can't see how it happens with those repos. Maybe your firefox is installed from somewhere else.

    You could try:
    Code:
    # zypper dup -D
    The "-D" is for a dry-run. Nothing will actually be done. But it will report what it thinks needs to be done. Maybe that will give some clue about the problem. Look particularly at the messages about changing vendor.
    openSUSE Leap 15.1; KDE Plasma 5;

  6. #6
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    181

    Default Re: How to get rid of this .. from YAST

    Thanks

    Firefox is from Mozilla repository.
    And here is the answer from zypper dup -D

    Code:
    The following 58 packages are going to be upgraded:
      bibletime dssi goldendict javapackages-tools klavaro libabw-0_1-1 libblas3 libbluray1 libcdr-0_1-1 libdvdnav4 libdvdread4 libe-book-0_1-1 libenca0 libetonyek-0_1-1 libexttextcat libexttextcat-2_0-0 libfbembed2_5 libfftw3-3 
      libfftw3_threads3 libfreebl3 libfreebl3-32bit libfreehand-0_1-1 libgltf-0_0-0 libgraphite2-3 libgraphite2-3-32bit libgtkdatabox-0_9_1-3 libguess1 libixion-0_8-0 liblangtag1 liblapack3 liblpsolve55-0 libmspub-0_1-1 libmwaw-0_3-3 
      libmysqlcppconn6 libodfgen-0_1-1 libopencv2_4 liborcus-0_8-0 libreoffice-branding-openSUSE libsoftokn3 libsoftokn3-32bit libtar1 libvisio-0_1-1 libwpd-0_10-10 libwpg-0_3-3 libwps-0_3-3 mozilla-nss mozilla-nss-32bit 
      mozilla-nss-certs mozilla-nss-certs-32bit MozillaThunderbird myspell-dictionaries myspell-en myspell-lightproof-en myspell-pl_PL rosegarden stellarium sword sword-devel 
    
    The following 69 packages are going to be downgraded:
      converseen converseen-lang darktable enblend-enfuse enscript exiftool gd gegl-0_2 gegl-0_2-lang graphviz graphviz-gd graphviz-gnome hugin icoutils ImageMagick lcms2 libavutil52 libbabl-0_1-0 libdjvulibre21 libexiv2-13 
      libflickcurl0 libgd3 libgegl-0_2-0 libgphoto2-6 libIlmImf-Imf_2_1-21 libjbig2 libjbig2-32bit libjpeg62 libjpeg62-32bit libjpeg8 libjpeg8-32bit libjpeg-turbo liblcms2-2 liblcms2-2-32bit liblzma5 liblzma5-32bit 
      libMagick++-6_Q16-5 libMagickCore-6_Q16-2 libMagickWand-6_Q16-2 libopenjp2-7 libopenjpeg1 libopus0 libpgf6 libpng16-tools libpodofo0_9_3 libraw10 libsigsegv2 libswscale2 libtag1 libtag_c0 libturbojpeg0 libvlccore7 libvpx1 
      libwebp5 libwebp5-32bit libwebpmux1 libzzip-0-13 lyx pdftk perl-File-RandomAccess perl-Image-ExifTool podofo sane-backends sane-backends-autoconfig taglib xindy xindy-rules xz xz-devel 
    
    The following 127 packages are going to change vendor:
      bibletime                      openSUSE -> openSUSE-Education                     
      converseen                     obs://build.opensuse.org/graphics -> openSUSE      
      converseen-lang                obs://build.opensuse.org/graphics -> openSUSE      
      darktable                      obs://build.opensuse.org/graphics -> openSUSE      
      dssi                           openSUSE -> openSUSE-Education                     
      enblend-enfuse                 obs://build.opensuse.org/graphics -> openSUSE      
      enscript                       obs://build.opensuse.org/Publishing -> openSUSE    
      exiftool                       obs://build.opensuse.org/graphics -> openSUSE                                                                                                                                                        
      gd                             obs://build.opensuse.org/graphics -> openSUSE                                                                                                                                                        
      gegl-0_2                       obs://build.opensuse.org/graphics -> openSUSE                                                                                                                                                        
      gegl-0_2-lang                  obs://build.opensuse.org/graphics -> openSUSE                                                                                                                                                        
      goldendict                     openSUSE -> openSUSE-Education                                                                                                                                                                       
      graphviz                       obs://build.opensuse.org/graphics -> openSUSE                                                                                                                                                        
      graphviz-gd                    obs://build.opensuse.org/graphics -> openSUSE                                                                                                                                                        
      graphviz-gnome                 obs://build.opensuse.org/graphics -> openSUSE                                                                                                                                                        
      hugin                          obs://build.opensuse.org/graphics -> openSUSE      
      icoutils                       obs://build.opensuse.org/graphics -> openSUSE      
      ImageMagick                    obs://build.opensuse.org/graphics -> openSUSE      
      javapackages-tools             openSUSE -> openSUSE-Education                     
      klavaro                        openSUSE -> openSUSE-Education                     
      lcms2                          obs://build.opensuse.org/graphics -> openSUSE      
      libabw-0_1-1                   openSUSE -> obs://build.opensuse.org/LibreOffice   
      libavutil52                    http://packman.links2linux.de -> openSUSE          
      libbabl-0_1-0                  obs://build.opensuse.org/graphics -> openSUSE      
      libblas3                       openSUSE -> openSUSE-Education                     
      libbluray1                     openSUSE -> http://packman.links2linux.de          
      libcdr-0_1-1                   openSUSE -> obs://build.opensuse.org/LibreOffice   
      libdjvulibre21                 obs://build.opensuse.org/graphics -> openSUSE      
      libdvdnav4                     openSUSE -> http://packman.links2linux.de          
      libdvdread4                    openSUSE -> http://packman.links2linux.de          
      libe-book-0_1-1                openSUSE -> obs://build.opensuse.org/LibreOffice   
      libenca0                       openSUSE -> openSUSE-Education                     
      libetonyek-0_1-1               openSUSE -> obs://build.opensuse.org/LibreOffice   
      libexiv2-13                    obs://build.opensuse.org/graphics -> openSUSE      
      libexttextcat                  openSUSE -> obs://build.opensuse.org/LibreOffice   
      libexttextcat-2_0-0            openSUSE -> obs://build.opensuse.org/LibreOffice   
      libfbembed2_5                  openSUSE -> obs://build.opensuse.org/LibreOffice   
      libfftw3-3                     openSUSE -> openSUSE-Education                     
      libfftw3_threads3              openSUSE -> openSUSE-Education                     
      libflickcurl0                  obs://build.opensuse.org/graphics -> openSUSE      
      libfreebl3                     obs://build.opensuse.org/mozilla -> openSUSE       
      libfreebl3-32bit               obs://build.opensuse.org/mozilla -> openSUSE       
      libfreehand-0_1-1              openSUSE -> obs://build.opensuse.org/LibreOffice   
      libgd3                         obs://build.opensuse.org/graphics -> openSUSE      
      libgegl-0_2-0                  obs://build.opensuse.org/graphics -> openSUSE      
      libgltf-0_0-0                  openSUSE -> obs://build.opensuse.org/LibreOffice   
      libgphoto2-6                   obs://build.opensuse.org/graphics -> openSUSE      
      libgraphite2-3                 openSUSE -> obs://build.opensuse.org/LibreOffice   
      libgraphite2-3-32bit           openSUSE -> obs://build.opensuse.org/LibreOffice   
      libgtkdatabox-0_9_1-3          openSUSE -> openSUSE-Education                     
      libguess1                      openSUSE -> http://packman.links2linux.de          
      libIlmImf-Imf_2_1-21           obs://build.opensuse.org/graphics -> openSUSE      
      libixion-0_8-0                 openSUSE -> obs://build.opensuse.org/LibreOffice   
      libjbig2                       obs://build.opensuse.org/graphics -> openSUSE      
      libjbig2-32bit                 obs://build.opensuse.org/graphics -> openSUSE      
      libjpeg62                      obs://build.opensuse.org/graphics -> openSUSE      
      libjpeg62-32bit                obs://build.opensuse.org/graphics -> openSUSE      
      libjpeg8                       obs://build.opensuse.org/graphics -> openSUSE      
      libjpeg8-32bit                 obs://build.opensuse.org/graphics -> openSUSE      
      libjpeg-turbo                  obs://build.opensuse.org/graphics -> openSUSE      
      liblangtag1                    openSUSE -> obs://build.opensuse.org/LibreOffice   
      liblapack3                     openSUSE -> openSUSE-Education                     
      liblcms2-2                     obs://build.opensuse.org/graphics -> openSUSE      
      liblcms2-2-32bit               obs://build.opensuse.org/graphics -> openSUSE      
      liblpsolve55-0                 openSUSE -> obs://build.opensuse.org/LibreOffice   
      liblzma5                       obs://build.opensuse.org/Publishing -> openSUSE    
      liblzma5-32bit                 obs://build.opensuse.org/Publishing -> openSUSE    
      libMagick++-6_Q16-5            obs://build.opensuse.org/graphics -> openSUSE      
      libMagickCore-6_Q16-2          obs://build.opensuse.org/graphics -> openSUSE      
      libMagickWand-6_Q16-2          obs://build.opensuse.org/graphics -> openSUSE      
      libmspub-0_1-1                 openSUSE -> obs://build.opensuse.org/LibreOffice   
      libmwaw-0_3-3                  openSUSE -> obs://build.opensuse.org/LibreOffice   
      libmysqlcppconn6               openSUSE -> obs://build.opensuse.org/LibreOffice   
      libodfgen-0_1-1                openSUSE -> obs://build.opensuse.org/LibreOffice   
      libopencv2_4                   openSUSE -> openSUSE-Education                     
      libopenjp2-7                   obs://build.opensuse.org/Publishing -> openSUSE    
      libopenjpeg1                   obs://build.opensuse.org/graphics -> openSUSE      
      libopus0                       http://packman.links2linux.de -> openSUSE          
      liborcus-0_8-0                 openSUSE -> obs://build.opensuse.org/LibreOffice   
      libpgf6                        obs://build.opensuse.org/graphics -> openSUSE      
      libpng16-tools                 obs://build.opensuse.org/home:ecsos -> openSUSE    
      libpodofo0_9_3                 obs://build.opensuse.org/graphics -> openSUSE      
      libraw10                       obs://build.opensuse.org/graphics -> openSUSE      
      libreoffice-branding-openSUSE  openSUSE -> obs://build.opensuse.org/LibreOffice   
      libsigsegv2                    obs://build.opensuse.org/Publishing -> openSUSE    
      libsoftokn3                    obs://build.opensuse.org/mozilla -> openSUSE       
      libsoftokn3-32bit              obs://build.opensuse.org/mozilla -> openSUSE       
      libswscale2                    http://packman.links2linux.de -> openSUSE          
      libtag1                        http://packman.links2linux.de -> openSUSE          
      libtag_c0                      http://packman.links2linux.de -> openSUSE          
      libtar1                        http://packman.links2linux.de -> openSUSE-Education
      libturbojpeg0                  obs://build.opensuse.org/graphics -> openSUSE      
      libvisio-0_1-1                 openSUSE -> obs://build.opensuse.org/LibreOffice   
      libvlccore7                    http://packman.links2linux.de -> openSUSE          
      libvpx1                        http://packman.links2linux.de -> openSUSE          
      libwebp5                       obs://build.opensuse.org/graphics -> openSUSE      
      libwebp5-32bit                 obs://build.opensuse.org/graphics -> openSUSE      
      libwebpmux1                    obs://build.opensuse.org/graphics -> openSUSE      
      libwpd-0_10-10                 openSUSE -> obs://build.opensuse.org/LibreOffice   
      libwpg-0_3-3                   openSUSE -> obs://build.opensuse.org/LibreOffice   
      libwps-0_3-3                   openSUSE -> obs://build.opensuse.org/LibreOffice   
      libzzip-0-13                   obs://build.opensuse.org/Publishing -> openSUSE    
      lyx                            obs://build.opensuse.org/Publishing -> openSUSE    
      mozilla-nss                    obs://build.opensuse.org/mozilla -> openSUSE       
      mozilla-nss-32bit              obs://build.opensuse.org/mozilla -> openSUSE       
      mozilla-nss-certs              obs://build.opensuse.org/mozilla -> openSUSE       
      mozilla-nss-certs-32bit        obs://build.opensuse.org/mozilla -> openSUSE       
      MozillaThunderbird             obs://build.opensuse.org/mozilla -> openSUSE       
      myspell-dictionaries           openSUSE -> obs://build.opensuse.org/LibreOffice   
      myspell-en                     openSUSE -> obs://build.opensuse.org/LibreOffice   
      myspell-lightproof-en          openSUSE -> obs://build.opensuse.org/LibreOffice   
      myspell-pl_PL                  openSUSE -> obs://build.opensuse.org/LibreOffice   
      pdftk                          obs://build.opensuse.org/Publishing -> openSUSE    
      perl-File-RandomAccess         obs://build.opensuse.org/graphics -> openSUSE      
      perl-Image-ExifTool            obs://build.opensuse.org/graphics -> openSUSE      
      podofo                         obs://build.opensuse.org/graphics -> openSUSE      
      rosegarden                     openSUSE -> openSUSE-Education                     
      sane-backends                  obs://build.opensuse.org/graphics -> openSUSE      
      sane-backends-autoconfig       obs://build.opensuse.org/graphics -> openSUSE      
      stellarium                     openSUSE -> openSUSE-Education                     
      sword                          openSUSE -> openSUSE-Education                     
      sword-devel                    openSUSE -> openSUSE-Education                     
      taglib                         http://packman.links2linux.de -> openSUSE          
      xindy                          obs://build.opensuse.org/Publishing -> openSUSE    
      xindy-rules                    obs://build.opensuse.org/Publishing -> openSUSE    
      xz                             obs://build.opensuse.org/Publishing -> openSUSE    
      xz-devel                       obs://build.opensuse.org/Publishing -> openSUSE    
    
    
    58 packages to upgrade, 69 to downgrade, 48 new, 10 to remove, 127  to change vendor.
    Overall download size: 256.4 MiB. Already cached: 0 B  After the operation, additional 202.6 MiB will be used.
    So I don't see any problem with repositories.
    Linux 4.12.14
    openSUSE Leap 15.0 - 64 bit
    KDE Plasma 5.12.15
    KDE Framework 5.44.0
    Qt - 5.9.4

  7. #7
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,347
    Blog Entries
    3

    Default Re: How to get rid of this .. from YAST

    Quote Originally Posted by GazetaCypr View Post
    So I don't see any problem with repositories.
    I'll admit that it is not obvious what the problem is.

    Judging by the error messages that you are getting, some of your mozilla software comes from the oss repo and some from the mozilla repo.

    Try changing the priority of the mozilla repo to 98. Then repeat the "zypper dup -D". The hope is that it will give some indication on which packages need to be moved (in this case, from oss to mozilla). As far as I know, it should be fine to get all mozilla software from one or the other, but mix and match doesn't always work.
    openSUSE Leap 15.1; KDE Plasma 5;

  8. #8
    Join Date
    Sep 2010
    Location
    Poland
    Posts
    181

    Default Re: How to get rid of this .. from YAST

    Hi

    I have discovered that if I move Hugin from Graphics-repo to OpenSuse-repo then there is no problem and no conflict.

    The same with Firefox and Thunderbird - if I install them from Mozilla-repo then I have a problem; if I install from official OpenSuse-repo, then there is no problem.
    Sometimes Graphics-repo has newer programs.
    And I repeat, it happened after distribution upgrade. Before that I had no problems at all.

    Why those and not other programs?? I have some other in Graphics too.
    Linux 4.12.14
    openSUSE Leap 15.0 - 64 bit
    KDE Plasma 5.12.15
    KDE Framework 5.44.0
    Qt - 5.9.4

  9. #9
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    12,347
    Blog Entries
    3

    Default Re: How to get rid of this .. from YAST

    Quote Originally Posted by GazetaCypr View Post
    I have discovered that if I move Hugin from Graphics-repo to OpenSuse-repo then there is no problem and no conflict.

    The same with Firefox and Thunderbird - if I install them from Mozilla-repo then I have a problem; if I install from official OpenSuse-repo, then there is no problem.
    That might be worth a bug report. There's possibly something wrong with how the dependencies are being defined.
    openSUSE Leap 15.1; KDE Plasma 5;

  10. #10
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,648

    Default Re: How to get rid of this .. from YAST

    There is no huge advantage getting the programs from Mozilla repo. Could be a difference in how the builds are numbered. Also maybe you did not get all related packages from the same repo that can cause these kinds of problems. Mixing repos is a sure way to sow confusion

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •